## LassoIdWsf2UtilResponse LassoIdWsf2UtilResponse — <util:Response> |

## Functions

LassoIdWsf2UtilResponse * | lasso_idwsf2_util_response_new ()
void | lasso_idwsf2_util_response_set_status ()
void | lasso_idwsf2_util_response_set_status2 ()

## Types and Values

struct | LassoIdWsf2UtilResponse

## Description

Figure 272. Schema fragment for util:Response

    <xs:complexType name="ResponseType">
      <xs:sequence>
        <xs:element ref="Status"       minOccurs="1" maxOccurs="1"/>
        <xs:element ref="Extension"    minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute ref="itemIDRef" use="optional"/>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_util_response_new ()

    LassoIdWsf2UtilResponse *
    lasso_idwsf2_util_response_new (void);

Creates a new LassoIdWsf2UtilResponse object.

#### Returns

a newly created LassoIdWsf2UtilResponse object

### lasso_idwsf2_util_response_set_status ()

    void
    lasso_idwsf2_util_response_set_status (LassoIdWsf2UtilResponse *idwsf2_util_response,
                                           const char *status);

Set the first level status code and no second level status code.

#### Parameters

idwsf2_util_response | a LassoIdWsf2UtilResponse object |
status | a status code identifier |

### lasso_idwsf2_util_response_set_status2 ()

    void
    lasso_idwsf2_util_response_set_status2
                                   (LassoIdWsf2UtilResponse *idwsf2_util_response,
                                    const char *status,
                                    const char *status2);

## Types and Values

### struct LassoIdWsf2UtilResponse

    struct LassoIdWsf2UtilResponse {
    	LassoNode parent;

    	/* elements */
    	LassoIdWsf2UtilStatus *Status;
    	GList *Extension; /* of LassoIdWsf2Utilextension */
    	/* attributes */
    	char *itemIDRef;
    	GHashTable *attributes;
    };